Name:             cookxml
Version:          3.0.2
Release:          %mkrel 9
Summary:          Dynamic XML data binding tool
Group:            Development/Java
License:          BSD
URL:              http://cookxml.yuanheng.org/

Source0:          http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}_src-%{version}.zip
Source1:          %{name}-build.xml
Source2:          %{name}-pom.xml

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    ant

Requires:         jpackage-utils
Requires:         java-headless

%description
CookXml is a powerful general purpose dynamic XML data binding tool.
It is designed to be easy to use and easily extensible. 

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -qc

find . -name '*.jar' -exec rm -rf {} \;

sed -i 's/\r//' LICENSE

%build
cp %{SOURCE1} .
ant -f %{name}-build.xml cookxml_jar apidoc

%install
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# JAVADOC
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp apidoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files -f .mfiles
%doc LICENSE

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 3.0.2-9.mga6
+ Revision: 951865
- Mageia 6 Mass Rebuild

* Thu Jan 08 2015 pterjan <pterjan> 3.0.2-8.mga5
+ Revision: 809248
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 3.0.2-7.mga5
+ Revision: 741508
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.2-6.mga5
+ Revision: 678536
- Mageia 5 Mass Rebuild

* Wed Dec 18 2013 dmorgan <dmorgan> 3.0.2-5.mga4
+ Revision: 558554
- Fix use of demap macros

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 3.0.2-3.mga3
+ Revision: 348122
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 dmorgan <dmorgan> 3.0.2-2.mga3
+ Revision: 323979
- Build with java7

* Fri Aug 05 2011 dmorgan <dmorgan> 3.0.2-1.mga2
+ Revision: 131926
- Clean spec file

* Mon Jul 11 2011 gil <gil> 3.0.2-0.mga2
+ Revision: 122535
- imported package cookxml

